Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# CharacterClass Class Reference
[Unicode core]

## Detailed Description

Character classes store implementation.

- CharacterClass allows to store enumerations of characters in compact form (two-stage bit-field tables).
- This class supports logical operations over it's instances, char category -> enumeration conversion.

## Public Member Functions
| CharacterClass (const CharacterClass &)
void | addChar (wchar)
void | clearChar (wchar)
void | addRange (wchar, wchar)
void | clearRange (wchar, wchar)
void | addCategory (ECharCategory)
void | addCategory (const char *)
void | addCategory (const String &)
void | clearCategory (ECharCategory)
void | clearCategory (const char *)
void | clearCategory (const String &)
void | addClass (const CharacterClass &)
void | clearClass (const CharacterClass &)
void | intersectClass (const CharacterClass &)
void | clear ()
void | fill ()
bool | inClass (wchar c) const
## Static Public Member Functions
static CharacterClass * | createCharClass (const String &ccs, int pos, int *retPos)
| Creates CharacterClass object from regexp character class syntax.

## Member Function Documentation

CharacterClass * CharacterClass::createCharClass | ( | const String & | ccs,
|  | int | pos,
|  | int * | retPos
| ) | `[static]`

| Creates CharacterClass object from regexp character class syntax. Extensions (comparing to Perl): inner class substraction [{L}-[{Lu}]], addition [{L}[1234]], intersection [{L}&[{Lu}]]

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:12 2006 by doxygen 1.4.6.